> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new authentication token for an organization.

> Create a new authentication token for an organization. Can only be used with org-group tokens.



## OpenAPI

````yaml post /v1/core/auth/tokens
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/core/auth/tokens:
    post:
      summary: Create a new authentication token for an organization.
      description: >-
        Create a new authentication token for an organization. Can only be used
        with org-group tokens.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                tokenName:
                  type: string
                organizationId:
                  type: string
              required:
                - tokenName
                - organizationId
      responses:
        '200':
          description: Create a new authentication token for an organization.
          content:
            application/json:
              schema:
                type: object
                properties:
                  tokenId:
                    type: string
                  tokenName:
                    type: string
                  organizationId:
                    type: string
                  authorizedOrgGroupId:
                    type: string
                    nullable: true
                    description: >-
                      The ID of the org-group that this token is authorized to
                      act as. Default null.
                  parentOrgGroupTokenId:
                    type: string
                    nullable: true
                    description: >-
                      The ID of the org-group-token that created this org-scoped
                      token. Will be null for tokens created through the UI.
                  createdAt:
                    type: string
                  createdBy:
                    type: string
                    nullable: true
                    description: The Siro uid of the user who created the token.
                  token:
                    type: string
                required:
                  - tokenId
                  - tokenName
                  - organizationId
                  - authorizedOrgGroupId
                  - parentOrgGroupTokenId
                  - createdAt
                  - createdBy
                  - token
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````